Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4332)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4333)
@@ -651,172 +672,183 @@
       !!                n : number of the option
       !!-------------------------------------------------------------------
+      INTEGER         , INTENT(in) ::   kt      ! ocean time step
       INTEGER         , INTENT(in) ::   ki, kj, kn    ! ocean gridpoint indices
       CHARACTER(len=*), INTENT(in) ::   cd1           !
       !!
-      INTEGER :: jl
+      INTEGER :: jl, ji, jj
       !!-------------------------------------------------------------------
 
-      WRITE(numout,*) cd1             ! print title
-
-      !----------------
-      !  Simple state
-      !----------------
-
-      IF ( kn == 1 .OR. kn == -1 ) THEN
-         WRITE(numout,*) ' lim_prt_state - Point : ',ki,kj
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
-         WRITE(numout,*) ' Simple state '
-         WRITE(numout,*) ' masks s,u,v   : ', tms(ki,kj), tmu(ki,kj), tmv(ki,kj)
-         WRITE(numout,*) ' lat - long    : ', gphit(ki,kj), glamt(ki,kj)
-         WRITE(numout,*) ' Time step     : ', numit
-         WRITE(numout,*) ' - Ice drift   '
-         WRITE(numout,*) '   ~~~~~~~~~~~ '
-         WRITE(numout,*) ' u_ice(i-1,j)  : ', u_ice(ki-1,kj)
-         WRITE(numout,*) ' u_ice(i  ,j)  : ', u_ice(ki,kj)
-         WRITE(numout,*) ' v_ice(i  ,j-1): ', v_ice(ki,kj-1)
-         WRITE(numout,*) ' v_ice(i  ,j)  : ', v_ice(ki,kj)
-         WRITE(numout,*) ' strength      : ', strength(ki,kj)
-         WRITE(numout,*)
-         WRITE(numout,*) ' - Cell values '
-         WRITE(numout,*) '   ~~~~~~~~~~~ '
-         WRITE(numout,*) ' cell area     : ', area(ki,kj)
-         WRITE(numout,*) ' at_i          : ', at_i(ki,kj)       
-         WRITE(numout,*) ' vt_i          : ', vt_i(ki,kj)       
-         WRITE(numout,*) ' vt_s          : ', vt_s(ki,kj)       
-         DO jl = 1, jpl
-            WRITE(numout,*) ' - Category (', jl,')'
-            WRITE(numout,*) ' a_i           : ', a_i(ki,kj,jl)
-            WRITE(numout,*) ' ht_i          : ', ht_i(ki,kj,jl)
-            WRITE(numout,*) ' ht_s          : ', ht_s(ki,kj,jl)
-            WRITE(numout,*) ' v_i           : ', v_i(ki,kj,jl)
-            WRITE(numout,*) ' v_s           : ', v_s(ki,kj,jl)
-            WRITE(numout,*) ' e_s           : ', e_s(ki,kj,1,jl)/1.0e9
-            WRITE(numout,*) ' e_i           : ', e_i(ki,kj,1:nlay_i,jl)/1.0e9
-            WRITE(numout,*) ' t_su          : ', t_su(ki,kj,jl)
-            WRITE(numout,*) ' t_snow        : ', t_s(ki,kj,1,jl)
-            WRITE(numout,*) ' t_i           : ', t_i(ki,kj,1:nlay_i,jl)
-            WRITE(numout,*) ' sm_i          : ', sm_i(ki,kj,jl)
-            WRITE(numout,*) ' smv_i         : ', smv_i(ki,kj,jl)
-            WRITE(numout,*)
-            WRITE(numout,*) ' Pathological case : ', patho_case(ki,kj,jl)
-         END DO
-      ENDIF
-      IF( kn == -1 ) THEN
-         WRITE(numout,*) ' Mechanical Check ************** '
-         WRITE(numout,*) ' Check what means ice divergence '
-         WRITE(numout,*) ' Total ice concentration ', at_i (ki,kj)
-         WRITE(numout,*) ' Total lead fraction     ', ato_i(ki,kj)
-         WRITE(numout,*) ' Sum of both             ', ato_i(ki,kj) + at_i(ki,kj)
-         WRITE(numout,*) ' Sum of both minus 1     ', ato_i(ki,kj) + at_i(ki,kj) - 1.00
-      ENDIF
-
-
-      !--------------------
-      !  Exhaustive state
-      !--------------------
-
-      IF ( kn .EQ. 2 ) THEN
-         WRITE(numout,*) ' lim_prt_state - Point : ',ki,kj
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
-         WRITE(numout,*) ' Exhaustive state '
-         WRITE(numout,*) ' lat - long ', gphit(ki,kj), glamt(ki,kj)
-         WRITE(numout,*) ' Time step ', numit
-         WRITE(numout,*) 
-         WRITE(numout,*) ' - Cell values '
-         WRITE(numout,*) '   ~~~~~~~~~~~ '
-         WRITE(numout,*) ' cell area     : ', area(ki,kj)
-         WRITE(numout,*) ' at_i          : ', at_i(ki,kj)       
-         WRITE(numout,*) ' vt_i          : ', vt_i(ki,kj)       
-         WRITE(numout,*) ' vt_s          : ', vt_s(ki,kj)       
-         WRITE(numout,*) ' u_ice(i-1,j)  : ', u_ice(ki-1,kj)
-         WRITE(numout,*) ' u_ice(i  ,j)  : ', u_ice(ki,kj)
-         WRITE(numout,*) ' v_ice(i  ,j-1): ', v_ice(ki,kj-1)
-         WRITE(numout,*) ' v_ice(i  ,j)  : ', v_ice(ki,kj)
-         WRITE(numout,*) ' strength      : ', strength(ki,kj)
-         WRITE(numout,*) ' d_u_ice_dyn   : ', d_u_ice_dyn(ki,kj), ' d_v_ice_dyn   : ', d_v_ice_dyn(ki,kj)
-         WRITE(numout,*) ' old_u_ice     : ', old_u_ice(ki,kj)  , ' old_v_ice     : ', old_v_ice(ki,kj)  
-         WRITE(numout,*)
-
-         DO jl = 1, jpl
-              WRITE(numout,*) ' - Category (',jl,')'
-              WRITE(numout,*) '   ~~~~~~~~         ' 
-              WRITE(numout,*) ' ht_i       : ', ht_i(ki,kj,jl)             , ' ht_s       : ', ht_s(ki,kj,jl)
-              WRITE(numout,*) ' t_i        : ', t_i(ki,kj,1:nlay_i,jl)
-              WRITE(numout,*) ' t_su       : ', t_su(ki,kj,jl)             , ' t_s        : ', t_s(ki,kj,1,jl)
-              WRITE(numout,*) ' sm_i       : ', sm_i(ki,kj,jl)             , ' o_i        : ', o_i(ki,kj,jl)
-              WRITE(numout,*) ' a_i        : ', a_i(ki,kj,jl)              , ' old_a_i    : ', old_a_i(ki,kj,jl)   
-              WRITE(numout,*) ' d_a_i_trp  : ', d_a_i_trp(ki,kj,jl)        , ' d_a_i_thd  : ', d_a_i_thd(ki,kj,jl) 
-              WRITE(numout,*) ' v_i        : ', v_i(ki,kj,jl)              , ' old_v_i    : ', old_v_i(ki,kj,jl)   
-              WRITE(numout,*) ' d_v_i_trp  : ', d_v_i_trp(ki,kj,jl)        , ' d_v_i_thd  : ', d_v_i_thd(ki,kj,jl) 
-              WRITE(numout,*) ' v_s        : ', v_s(ki,kj,jl)              , ' old_v_s    : ', old_v_s(ki,kj,jl)  
-              WRITE(numout,*) ' d_v_s_trp  : ', d_v_s_trp(ki,kj,jl)        , ' d_v_s_thd  : ', d_v_s_thd(ki,kj,jl)
-              WRITE(numout,*) ' e_i1       : ', e_i(ki,kj,1,jl)/1.0e9      , ' old_ei1    : ', old_e_i(ki,kj,1,jl)/1.0e9 
-              WRITE(numout,*) ' de_i1_trp  : ', d_e_i_trp(ki,kj,1,jl)/1.0e9, ' de_i1_thd  : ', d_e_i_thd(ki,kj,1,jl)/1.0e9
-              WRITE(numout,*) ' e_i2       : ', e_i(ki,kj,2,jl)/1.0e9      , ' old_ei2    : ', old_e_i(ki,kj,2,jl)/1.0e9  
-              WRITE(numout,*) ' de_i2_trp  : ', d_e_i_trp(ki,kj,2,jl)/1.0e9, ' de_i2_thd  : ', d_e_i_thd(ki,kj,2,jl)/1.0e9
-              WRITE(numout,*) ' e_snow     : ', e_s(ki,kj,1,jl)            , ' old_e_snow : ', old_e_s(ki,kj,1,jl) 
-              WRITE(numout,*) ' d_e_s_trp  : ', d_e_s_trp(ki,kj,1,jl)      , ' d_e_s_thd  : ', d_e_s_thd(ki,kj,1,jl)
-              WRITE(numout,*) ' smv_i      : ', smv_i(ki,kj,jl)            , ' old_smv_i  : ', old_smv_i(ki,kj,jl)   
-              WRITE(numout,*) ' d_smv_i_trp: ', d_smv_i_trp(ki,kj,jl)      , ' d_smv_i_thd: ', d_smv_i_thd(ki,kj,jl) 
-              WRITE(numout,*) ' oa_i       : ', oa_i(ki,kj,jl)             , ' old_oa_i   : ', old_oa_i(ki,kj,jl)
-              WRITE(numout,*) ' d_oa_i_trp : ', d_oa_i_trp(ki,kj,jl)       , ' d_oa_i_thd : ', d_oa_i_thd(ki,kj,jl)
-              WRITE(numout,*) ' Path. case : ', patho_case(ki,kj,jl)
-        END DO !jl
-
-        WRITE(numout,*)
-        WRITE(numout,*) ' - Heat / FW fluxes '
-        WRITE(numout,*) '   ~~~~~~~~~~~~~~~~ '
-!       WRITE(numout,*) ' sfx_bri    : ', sfx_bri  (ki,kj)
-!       WRITE(numout,*) ' sfx        : ', sfx      (ki,kj)
-!       WRITE(numout,*) ' sfx_res  : ', sfx_res(ki,kj)
-        WRITE(numout,*) ' fmmec      : ', fmmec    (ki,kj)
-        WRITE(numout,*) ' fhmec      : ', fhmec    (ki,kj)
-        WRITE(numout,*) ' fhbri      : ', fhbri    (ki,kj)
-        WRITE(numout,*) ' fheat_mec  : ', fheat_mec(ki,kj)
-        WRITE(numout,*) 
-        WRITE(numout,*) ' sst        : ', sst_m(ki,kj)  
-        WRITE(numout,*) ' sss        : ', sss_m(ki,kj)  
-        WRITE(numout,*) 
-        WRITE(numout,*) ' - Stresses '
-        WRITE(numout,*) '   ~~~~~~~~ '
-        WRITE(numout,*) ' utau_ice   : ', utau_ice(ki,kj) 
-        WRITE(numout,*) ' vtau_ice   : ', vtau_ice(ki,kj)
-        WRITE(numout,*) ' utau       : ', utau    (ki,kj) 
-        WRITE(numout,*) ' vtau       : ', vtau    (ki,kj)
-        WRITE(numout,*) ' oc. vel. u : ', u_oce   (ki,kj)
-        WRITE(numout,*) ' oc. vel. v : ', v_oce   (ki,kj)
-     ENDIF
-
-     !---------------------
-     ! Salt / heat fluxes
-     !---------------------
-
-     IF ( kn .EQ. 3 ) THEN
-        WRITE(numout,*) ' lim_prt_state - Point : ',ki,kj
-        WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
-        WRITE(numout,*) ' - Salt / Heat Fluxes '
-        WRITE(numout,*) '   ~~~~~~~~~~~~~~~~ '
-        WRITE(numout,*) ' lat - long ', gphit(ki,kj), glamt(ki,kj)
-        WRITE(numout,*) ' Time step ', numit
-        WRITE(numout,*)
-        WRITE(numout,*) ' - Heat fluxes at bottom interface ***'
-        WRITE(numout,*) ' qsr       : ', qsr(ki,kj)
-        WRITE(numout,*) ' qns       : ', qns(ki,kj)
-        WRITE(numout,*)
-        WRITE(numout,*) ' - Salt fluxes at bottom interface ***'
-        WRITE(numout,*) ' emp       : ', emp    (ki,kj)
-        WRITE(numout,*) ' sfx_bri   : ', sfx_bri(ki,kj)
-        WRITE(numout,*) ' sfx       : ', sfx    (ki,kj)
-        WRITE(numout,*) ' sfx_res   : ', sfx_res(ki,kj)
-        WRITE(numout,*) ' sfx_mec   : ', sfx_mec(ki,kj)
-        WRITE(numout,*) ' - Heat fluxes at bottom interface ***'
-        WRITE(numout,*) ' fheat_res : ', fheat_res(ki,kj)
-        WRITE(numout,*)
-        WRITE(numout,*) ' - Momentum fluxes '
-        WRITE(numout,*) ' utau      : ', utau(ki,kj) 
-        WRITE(numout,*) ' vtau      : ', vtau(ki,kj)
-      ENDIF
-      WRITE(numout,*) ' '
-      !
+      DO ji = mi0(ki), mi1(ki)
+         DO jj = mj0(kj), mj1(kj)
+
+            WRITE(numout,*) ' time step ',kt,' ',cd1             ! print title
+
+            !----------------
+            !  Simple state
+            !----------------
+            
+            IF ( kn == 1 .OR. kn == -1 ) THEN
+               WRITE(numout,*) ' lim_prt_state - Point : ',ji,jj
+               WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
+               WRITE(numout,*) ' Simple state '
+               WRITE(numout,*) ' masks s,u,v   : ', tms(ji,jj), tmu(ji,jj), tmv(ji,jj)
+               WRITE(numout,*) ' lat - long    : ', gphit(ji,jj), glamt(ji,jj)
+               WRITE(numout,*) ' Time step     : ', numit
+               WRITE(numout,*) ' - Ice drift   '
+               WRITE(numout,*) '   ~~~~~~~~~~~ '
+               WRITE(numout,*) ' u_ice(i-1,j)  : ', u_ice(ji-1,jj)
+               WRITE(numout,*) ' u_ice(i  ,j)  : ', u_ice(ji,jj)
+               WRITE(numout,*) ' v_ice(i  ,j-1): ', v_ice(ji,jj-1)
+               WRITE(numout,*) ' v_ice(i  ,j)  : ', v_ice(ji,jj)
+               WRITE(numout,*) ' strength      : ', strength(ji,jj)
+               WRITE(numout,*)
+               WRITE(numout,*) ' - Cell values '
+               WRITE(numout,*) '   ~~~~~~~~~~~ '
+               WRITE(numout,*) ' cell area     : ', area(ji,jj)
+               WRITE(numout,*) ' at_i          : ', at_i(ji,jj)       
+               WRITE(numout,*) ' vt_i          : ', vt_i(ji,jj)       
+               WRITE(numout,*) ' vt_s          : ', vt_s(ji,jj)       
+               DO jl = 1, jpl
+                  WRITE(numout,*) ' - Category (', jl,')'
+                  WRITE(numout,*) ' a_i           : ', a_i(ji,jj,jl)
+                  WRITE(numout,*) ' ht_i          : ', ht_i(ji,jj,jl)
+                  WRITE(numout,*) ' ht_s          : ', ht_s(ji,jj,jl)
+                  WRITE(numout,*) ' v_i           : ', v_i(ji,jj,jl)
+                  WRITE(numout,*) ' v_s           : ', v_s(ji,jj,jl)
+                  WRITE(numout,*) ' e_s           : ', e_s(ji,jj,1,jl)/1.0e9
+                  WRITE(numout,*) ' e_i           : ', e_i(ji,jj,1:nlay_i,jl)/1.0e9
+                  WRITE(numout,*) ' t_su          : ', t_su(ji,jj,jl)
+                  WRITE(numout,*) ' t_snow        : ', t_s(ji,jj,1,jl)
+                  WRITE(numout,*) ' t_i           : ', t_i(ji,jj,1:nlay_i,jl)
+                  WRITE(numout,*) ' sm_i          : ', sm_i(ji,jj,jl)
+                  WRITE(numout,*) ' smv_i         : ', smv_i(ji,jj,jl)
+                  WRITE(numout,*)
+               END DO
+            ENDIF
+            IF( kn == -1 ) THEN
+               WRITE(numout,*) ' Mechanical Check ************** '
+               WRITE(numout,*) ' Check what means ice divergence '
+               WRITE(numout,*) ' Total ice concentration ', at_i (ji,jj)
+               WRITE(numout,*) ' Total lead fraction     ', ato_i(ji,jj)
+               WRITE(numout,*) ' Sum of both             ', ato_i(ji,jj) + at_i(ji,jj)
+               WRITE(numout,*) ' Sum of both minus 1     ', ato_i(ji,jj) + at_i(ji,jj) - 1.00
+            ENDIF
+            
+
+            !--------------------
+            !  Exhaustive state
+            !--------------------
+            
+            IF ( kn .EQ. 2 ) THEN
+               WRITE(numout,*) ' lim_prt_state - Point : ',ji,jj
+               WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
+               WRITE(numout,*) ' Exhaustive state '
+               WRITE(numout,*) ' lat - long ', gphit(ji,jj), glamt(ji,jj)
+               WRITE(numout,*) ' Time step ', numit
+               WRITE(numout,*) 
+               WRITE(numout,*) ' - Cell values '
+               WRITE(numout,*) '   ~~~~~~~~~~~ '
+               WRITE(numout,*) ' cell area     : ', area(ji,jj)
+               WRITE(numout,*) ' at_i          : ', at_i(ji,jj)       
+               WRITE(numout,*) ' vt_i          : ', vt_i(ji,jj)       
+               WRITE(numout,*) ' vt_s          : ', vt_s(ji,jj)       
+               WRITE(numout,*) ' u_ice(i-1,j)  : ', u_ice(ji-1,jj)
+               WRITE(numout,*) ' u_ice(i  ,j)  : ', u_ice(ji,jj)
+               WRITE(numout,*) ' v_ice(i  ,j-1): ', v_ice(ji,jj-1)
+               WRITE(numout,*) ' v_ice(i  ,j)  : ', v_ice(ji,jj)
+               WRITE(numout,*) ' strength      : ', strength(ji,jj)
+               WRITE(numout,*) ' d_u_ice_dyn   : ', d_u_ice_dyn(ji,jj), ' d_v_ice_dyn   : ', d_v_ice_dyn(ji,jj)
+               WRITE(numout,*) ' old_u_ice     : ', old_u_ice(ji,jj)  , ' old_v_ice     : ', old_v_ice(ji,jj)  
+               WRITE(numout,*)
+               
+               DO jl = 1, jpl
+                  WRITE(numout,*) ' - Category (',jl,')'
+                  WRITE(numout,*) '   ~~~~~~~~         ' 
+                  WRITE(numout,*) ' ht_i       : ', ht_i(ji,jj,jl)             , ' ht_s       : ', ht_s(ji,jj,jl)
+                  WRITE(numout,*) ' t_i        : ', t_i(ji,jj,1:nlay_i,jl)
+                  WRITE(numout,*) ' t_su       : ', t_su(ji,jj,jl)             , ' t_s        : ', t_s(ji,jj,1,jl)
+                  WRITE(numout,*) ' sm_i       : ', sm_i(ji,jj,jl)             , ' o_i        : ', o_i(ji,jj,jl)
+                  WRITE(numout,*) ' a_i        : ', a_i(ji,jj,jl)              , ' old_a_i    : ', old_a_i(ji,jj,jl)   
+                  WRITE(numout,*) ' d_a_i_trp  : ', d_a_i_trp(ji,jj,jl)        , ' d_a_i_thd  : ', d_a_i_thd(ji,jj,jl) 
+                  WRITE(numout,*) ' v_i        : ', v_i(ji,jj,jl)              , ' old_v_i    : ', old_v_i(ji,jj,jl)   
+                  WRITE(numout,*) ' d_v_i_trp  : ', d_v_i_trp(ji,jj,jl)        , ' d_v_i_thd  : ', d_v_i_thd(ji,jj,jl) 
+                  WRITE(numout,*) ' v_s        : ', v_s(ji,jj,jl)              , ' old_v_s    : ', old_v_s(ji,jj,jl)  
+                  WRITE(numout,*) ' d_v_s_trp  : ', d_v_s_trp(ji,jj,jl)        , ' d_v_s_thd  : ', d_v_s_thd(ji,jj,jl)
+                  WRITE(numout,*) ' e_i1       : ', e_i(ji,jj,1,jl)/1.0e9      , ' old_ei1    : ', old_e_i(ji,jj,1,jl)/1.0e9 
+                  WRITE(numout,*) ' de_i1_trp  : ', d_e_i_trp(ji,jj,1,jl)/1.0e9, ' de_i1_thd  : ', d_e_i_thd(ji,jj,1,jl)/1.0e9
+                  WRITE(numout,*) ' e_i2       : ', e_i(ji,jj,2,jl)/1.0e9      , ' old_ei2    : ', old_e_i(ji,jj,2,jl)/1.0e9  
+                  WRITE(numout,*) ' de_i2_trp  : ', d_e_i_trp(ji,jj,2,jl)/1.0e9, ' de_i2_thd  : ', d_e_i_thd(ji,jj,2,jl)/1.0e9
+                  WRITE(numout,*) ' e_snow     : ', e_s(ji,jj,1,jl)            , ' old_e_snow : ', old_e_s(ji,jj,1,jl) 
+                  WRITE(numout,*) ' d_e_s_trp  : ', d_e_s_trp(ji,jj,1,jl)      , ' d_e_s_thd  : ', d_e_s_thd(ji,jj,1,jl)
+                  WRITE(numout,*) ' smv_i      : ', smv_i(ji,jj,jl)            , ' old_smv_i  : ', old_smv_i(ji,jj,jl)   
+                  WRITE(numout,*) ' d_smv_i_trp: ', d_smv_i_trp(ji,jj,jl)      , ' d_smv_i_thd: ', d_smv_i_thd(ji,jj,jl) 
+                  WRITE(numout,*) ' oa_i       : ', oa_i(ji,jj,jl)             , ' old_oa_i   : ', old_oa_i(ji,jj,jl)
+                  WRITE(numout,*) ' d_oa_i_trp : ', d_oa_i_trp(ji,jj,jl)       , ' d_oa_i_thd : ', d_oa_i_thd(ji,jj,jl)
+               END DO !jl
+               
+               WRITE(numout,*)
+               WRITE(numout,*) ' - Heat / FW fluxes '
+               WRITE(numout,*) '   ~~~~~~~~~~~~~~~~ '
+               WRITE(numout,*) ' emp        : ', emp      (ji,jj)
+               WRITE(numout,*) ' sfx        : ', sfx      (ji,jj)
+               WRITE(numout,*) ' sfx_thd    : ', sfx_thd(ji,jj)
+               WRITE(numout,*) ' sfx_bri    : ', sfx_bri  (ji,jj)
+               WRITE(numout,*) ' sfx_mec    : ', sfx_mec  (ji,jj)
+               WRITE(numout,*) ' sfx_res    : ', sfx_res(ji,jj)
+               WRITE(numout,*) ' fmmec      : ', fmmec    (ji,jj)
+               WRITE(numout,*) ' fhmec      : ', fhmec    (ji,jj)
+               WRITE(numout,*) ' fhbri      : ', fhbri    (ji,jj)
+               WRITE(numout,*) ' fheat_mec  : ', fheat_mec(ji,jj)
+               WRITE(numout,*) 
+               WRITE(numout,*) ' sst        : ', sst_m(ji,jj)  
+               WRITE(numout,*) ' sss        : ', sss_m(ji,jj)  
+               WRITE(numout,*) 
+               WRITE(numout,*) ' - Stresses '
+               WRITE(numout,*) '   ~~~~~~~~ '
+               WRITE(numout,*) ' utau_ice   : ', utau_ice(ji,jj) 
+               WRITE(numout,*) ' vtau_ice   : ', vtau_ice(ji,jj)
+               WRITE(numout,*) ' utau       : ', utau    (ji,jj) 
+               WRITE(numout,*) ' vtau       : ', vtau    (ji,jj)
+               WRITE(numout,*) ' oc. vel. u : ', u_oce   (ji,jj)
+               WRITE(numout,*) ' oc. vel. v : ', v_oce   (ji,jj)
+            ENDIF
+            
+            !---------------------
+            ! Salt / heat fluxes
+            !---------------------
+            
+            IF ( kn .EQ. 3 ) THEN
+               WRITE(numout,*) ' lim_prt_state - Point : ',ji,jj
+               WRITE(numout,*) ' ~~~~~~~~~~~~~~ '
+               WRITE(numout,*) ' - Salt / Heat Fluxes '
+               WRITE(numout,*) '   ~~~~~~~~~~~~~~~~ '
+               WRITE(numout,*) ' lat - long ', gphit(ji,jj), glamt(ji,jj)
+               WRITE(numout,*) ' Time step ', numit
+               WRITE(numout,*)
+               WRITE(numout,*) ' - Heat fluxes at bottom interface ***'
+               WRITE(numout,*) ' qsr       : ', qsr(ji,jj)
+               WRITE(numout,*) ' qns       : ', qns(ji,jj)
+               WRITE(numout,*) ' fdtcn     : ', fdtcn(ji,jj)
+               WRITE(numout,*) ' qcmif     : ', qcmif(ji,jj) * r1_rdtice
+               WRITE(numout,*) ' qldif     : ', qldif(ji,jj) * r1_rdtice
+               WRITE(numout,*)
+               WRITE(numout,*) ' - Salt fluxes at bottom interface ***'
+               WRITE(numout,*) ' emp       : ', emp    (ji,jj)
+               WRITE(numout,*) ' sfx_bri   : ', sfx_bri(ji,jj)
+               WRITE(numout,*) ' sfx       : ', sfx    (ji,jj)
+               WRITE(numout,*) ' sfx_res   : ', sfx_res(ji,jj)
+               WRITE(numout,*) ' sfx_mec   : ', sfx_mec(ji,jj)
+               WRITE(numout,*) ' - Heat fluxes at bottom interface ***'
+               WRITE(numout,*) ' fheat_res : ', fheat_res(ji,jj)
+               WRITE(numout,*)
+               WRITE(numout,*) ' - Momentum fluxes '
+               WRITE(numout,*) ' utau      : ', utau(ji,jj) 
+               WRITE(numout,*) ' vtau      : ', vtau(ji,jj)
+            ENDIF
+            WRITE(numout,*) ' '
+            !
+         END DO
+      END DO
+
    END SUBROUTINE lim_prt_state
 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 4332)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 4333)
@@ -343,5 +343,5 @@
       !                                                           ! (update freshwater fluxes)
 !RBbug do not understand why see ticket 667
-      CALL lbc_lnk( emp, 'T', 1. )
+      !clem-bugsal CALL lbc_lnk( emp, 'T', 1. )
       !
       IF( kt == nit000 ) THEN                          !   set the forcing field at nit000 - 1    !
